#include <IRremote.hpp>

/// Скетч для пульта от люстры светодиодной белый
IRrecv irrecv(A2); // указываем вывод, к которому подключен приемник TSOP
// int On_Driver = 3; // вывод для управления Включением сетевого питания на Драйвер люстры
int On_Yellow = 3; // вывод для управления Желтыми светодиодами
int On_White = 4; // вывод для управления Белыми светодиодами

decode_results results;

void setup() {
  // pinMode(On_Driver, OUTPUT);
  pinMode(On_Yellow, OUTPUT);
  pinMode(On_White, OUTPUT);
  // по умолчанию - все выключено
  //digitalWrite( On_Driver, LOW );
  digitalWrite( On_Yellow, LOW );  
  digitalWrite( On_White, LOW ); 
   
  irrecv.enableIRIn(); // запускаем прием сигнала на TSOP 
}

void loop() {
  if (irrecv.decode(&results)) { // если данные пришли
    switch (results.value) 
    {
    case 0x1FEC03F: // включить желтый свет - кнопка Y
        digitalWrite( On_Yellow, HIGH );  
        break;   
    case 0x1FE40BF: // включить белый свет - кнопка W
        digitalWrite( On_White, HIGH );
        break; 
    case 0x1FE609F: // включить белый и желтый свет - кнопка WY
        digitalWrite( On_White, HIGH );
        digitalWrite( On_Yellow, HIGH );        
        break;         
    case 0x1FEA05F: // отключить всё - красная кнопка
        digitalWrite( On_White, LOW );
        digitalWrite( On_Yellow, LOW );
        break;        
    }    
    irrecv.resume(); // принимаем следующую команду
  } 
}
